🚀 zembed-1 is now generally available through the API, all SDKs, and on the AWS Marketplace!
curl --request POST \
--url https://api.zeroentropy.dev/v1/queries/top-pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collection_name": "<string>",
"query": "<string>",
"k": 123,
"filter": "<string>",
"include_content": false,
"include_metadata": false,
"latency_mode": "low"
}
'{
"results": [
{
"path": "<string>",
"page_index": 123,
"score": 123,
"content": "<string>",
"image_url": "<string>"
}
],
"document_results": [
{
"path": "<string>",
"score": 123,
"metadata": {},
"file_url": "<string>"
}
]
}Get the top K pages that match the given query
curl --request POST \
--url https://api.zeroentropy.dev/v1/queries/top-pages \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"collection_name": "<string>",
"query": "<string>",
"k": 123,
"filter": "<string>",
"include_content": false,
"include_metadata": false,
"latency_mode": "low"
}
'{
"results": [
{
"path": "<string>",
"page_index": 123,
"score": 123,
"content": "<string>",
"image_url": "<string>"
}
],
"document_results": [
{
"path": "<string>",
"score": 123,
"metadata": {},
"file_url": "<string>"
}
]
}Documentation Index
Fetch the complete documentation index at: https://docs.zeroentropy.dev/llms.txt
Use this file to discover all available pages before exploring further.
The name of the collection.
The natural language query to search with. This cannot exceed 4096 UTF-8 bytes.
The number of pages to return. If there are not enough pages matching your filters, then fewer may be returned. This number must be between 1 and 1024, inclusive.
The query filter to apply. Please read Metadata Filtering for more information. If not provided, then all documents will be searched.
If set to true, then the content of all pages will be returned.
Whether or not to include the document metadata in the response. If not provided, then the default will be False.
This option selects between our two latency modes. The higher latency mode takes longer, but can allow for more accurate responses. If desired, test both to customize your search experience for your particular use-case, or use the default of "low" and only swap if you need an additional improvement in search result quality.
low, high Successful Response
Show child attributes
The array of associated document information. Note how each result page has an associated document path. After deduplicating the document paths, this array will contain document info for each document path that is referenced by at least one page result.
Show child attributes